import 'package:equatable/equatable.dart';

abstract class CeilingSensorEvent extends Equatable {
  const CeilingSensorEvent();

  @override
  List<Object> get props => [];
}

class CeilingInitialEvent extends CeilingSensorEvent {}

class CeilingChangeValueEvent extends CeilingSensorEvent {
  final int value;
  final String code;
  const CeilingChangeValueEvent({required this.value, required this.code});

  @override
  List<Object> get props => [value, code];
}
